unit Main;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls,
  FMX.Edit, FMX.Controls.Presentation, MSWBase, MSWord, FMX.ScrollBox, FMX.Memo;

type
  TfrmMain = class(TForm)
    MSWordDocument1: TMSWordDocument;
    lblFileName: TLabel;
    edtFileName: TEdit;
    btnFileName: TButton;
    OpenDialog1: TOpenDialog;
    memoPlainText: TMemo;
    btnLoadDocument: TButton;
    MSWordXDocument1: TMSWordXDocument;
    procedure btnFileNameClick(Sender: TObject);
    procedure btnLoadDocumentClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.fmx}

procedure TfrmMain.btnFileNameClick(Sender: TObject);
begin
  OpenDialog1.FileName := edtFileName.Text;
  if OpenDialog1.Execute then
    edtFileName.Text := OpenDialog1.FileName;
end;

procedure TfrmMain.btnLoadDocumentClick(Sender: TObject);
var
  docForLoad: TMSCustomWordDocument;
begin
  if SameText(ExtractFileExt(edtFileName.Text), '.DOCX') then
    docForLoad := MSWordXDocument1
  else
    docForLoad := MSWordDocument1;
  docForLoad.FileName := edtFileName.Text;
  docForLoad.Execute;
  memoPlainText.Lines.Text := docForLoad.PlainText.Text;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  edtFileName.Text := ExtractFilePath(ParamStr(0)) + 'test.doc';
end;

end.
